<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title> sch-rnd - State </title>
	<meta http-equiv="Content-Type" content="text/html;charset=us-ascii">
<!--AUTO head begin-->
	<link rel="icon" href="resources/logo16.png">
<!--AUTO head end-->
</head>
<body>

<!--AUTO navbar begin-->
<table border=0 cellspacing=2 cellpadding=10  bgcolor="#eeeeee" width="100%">
<tr>
<th align=center bgcolor="#ccc0cc"> <a href="index.html"> Main </a>
<th align=center bgcolor="#ccc0cc"> <a href="doc.html">Doc</a>&nbsp;&amp;&nbsp; <a href="http://repo.hu/cgi-bin/pool.cgi?project=sch-rnd-aux"> Knowledge pool </a> &nbsp;&amp;&nbsp; <a href="tutorial"> Tutorial </a>
<th align=center bgcolor="#ccc0cc"> <a href="state.html"> Current state </a>
<th align=center bgcolor="#ccc0cc"> <a href="http://repo.hu/cgi-bin/pcb-rnd-people.cgi?cmd=events">Events</a>&nbsp;&amp;&nbsp;<a href="http://www.repo.hu/cgi-bin/pcb-rnd-people.cgi?cmd=timeline">timeline</a>
<td align=right width="60%"> <font size="+2"><i>sch-rnd</i></font> <img src="resources/logo32.png" alt="[sch-rnd logo]">
</table>
<!--AUTO navbar end-->

<h1> sch-rnd - current state </h1>
<p>
Current stable version: 1.0.6.
<p>
Version 1.0.6 released in 2024 August with support for EasyEDA sheet/symbol load.
<p>
With the <a href="releases/">release of sch-rnd 1.0.0</a>,
in May 2023, sch-rnd is now considered stable and ready for production usage.
<p>
(The road that led to 1.0.0 is shown in the <a href="state.old.html">archived
older verison of the current page</a>.)

<h1> sch-rnd - plans for 2023 (archive) </h1>

<p>
With the support of <a href="https://nlnet.nl">nlnet</a>, the following
features have been implemented in 2023 and 2024:
<p>
<ul>
	<li> hierarchic design (sheets referencing other sheets as "subsheets" for repetitive parts) [1.0.5]
	<li> alien file format: load sheets of tinycad and altium and orcad [1.0.4]
	<li> non-graphical sheets (data or scripted) [1.0.1]
	<li> raw spice target and export (ngspice and gnucap) [1.0.1]
	<li> simulation target (SPICE) [1.0.2]
	<li> symbol attribute based build options and DNP for the PCB workflow [1.0.2]
	<li> symbol editor mode (directly opening a symbol file for interative edit) [1.0.3]
	<li> back annotation upgade from pcb-rnd [1.0.3]
	<li> symbol attribute based alternate MCU pin function system [1.0.3]
</ul>
